Package org.apache.commons.math3.ml.neuralnet.twod

# Enum NeuronSquareMesh2D.VerticalDirection

java.lang.Object
java.lang.Enum<NeuronSquareMesh2D.VerticalDirection>
org.apache.commons.math3.ml.neuralnet.twod.NeuronSquareMesh2D.VerticalDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<NeuronSquareMesh2D.VerticalDirection>`, `java.lang.constant.Constable`

Enclosing class:
  `NeuronSquareMesh2D`

public static enum NeuronSquareMesh2D.VerticalDirection extends Enum<NeuronSquareMesh2D.VerticalDirection>
Vertical (along column) direction.

Since:
  3.6

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CENTER`
Current row.
`DOWN`
Row below the current row.
`UP`
Row above the current row.

## Method Summary

Modifier and Type
Method
Description
`static NeuronSquareMesh2D.VerticalDirection`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NeuronSquareMesh2D.VerticalDirection[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UP

public static final NeuronSquareMesh2D.VerticalDirection UP
Row above the current row.

### CENTER

public static final NeuronSquareMesh2D.VerticalDirection CENTER
Current row.

### DOWN

public static final NeuronSquareMesh2D.VerticalDirection DOWN
Row below the current row.

## Method Details

### values

public static NeuronSquareMesh2D.VerticalDirection[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static NeuronSquareMesh2D.VerticalDirection valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null